using Fantasy;
using Fantasy.Async;

namespace NB.Chat;

/// <summary>
/// 发送邮件接口
/// </summary>
public static class MailHelper
{
    
    public static async FTask Send(Scene scene, MailBox mailBox)
    {
        if (mailBox.BoxType == MailBoxType.None)
        {
            Log.Error("不支持的邮件类型");
            return;
        }

        switch (mailBox.BoxType)
        {
            case MailBoxType.All:
            {
                break;
            }
            case MailBoxType.Specify:
            {
                break;
            }
        }
    }
}